### Constructor

# WPEWebKit WebExtension new

since: 2.52

#### Declaration [src]

    WebKitWebExtension*
    webkit_web_extension_new (
      const char* extension_path,
      GError** error
    )

#### Description [src]

Creates a new WebKitWebExtension from a folder containing the extension contents. The folder must contain a `manifest.json` file. If the manifest is invalid or missing, an error will be returned.

Available since: 2.52

#### Parameters

`extension_path`

  Type: `const char*`

  A string pointing to the folder containing the extension manifest and resources.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitWebExtension`

The new `WebKitWebExtension`, or `NULL` if the extension failed to be created.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.